<template>
  <div>
      <!-- creamos buscador -->
    <input type="search" v-model="search" placeholder="Busca tu artista favorito">

      <ul>
      <li v-for="artist in filtered" :key="artist.id">
        <img :src="artist.image[2]['#text']" height="20px">
        <p><STRONG>{{artist.name}}</STRONG></p>
        <p>{{artist.listeners}} expectadores</p>
      </li>

    </ul>
  </div>

</template>

<script>
export default {

    // pasar los datos de props
    props: {
        topartists: Array
    },
    data(){
      // aquí guardamos todas las variables
      return{
            search: ''
      }  
    },
    computed:{
        filtered(){
            if(!this.search){
             return this.topartists
            }
            return this.topartists.filter( item => 
            item.name.toLowerCase().includes(this.search.toLowerCase()) )
        }
    }
}
</script>

<style scoped>
    ul {
        list-style: none;
    }
    li {
        text-align: left;
        padding-left: 50px;
        text-decoration: none;
    }
    input {
      width: 70%; 
      padding: 10px;
      box-sizing: border-box;  
      border: 4px solid whitesmoke;
      border-radius: 5px;
}
</style>